> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rendernet.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Character

> The create character section enables users to create a character with a unique name, which can be used in prompts to generate consistent images containing the character. Users can provide the asset_id of a face image and create a character by assigning a description and unique name. This feature streamlines the process of adding new characters to the platform and managing them efficiently.



## OpenAPI

````yaml post /pub/v1/characters
openapi: 3.0.2
info:
  description: >-
    The Affogato API section provides a comprehensive set of APIs that allow you
    to create high-quality media content using textual and graphical inputs. By
    utilizing the features provided in this section, users can easily generate
    engaging visuals and media assets.You need an API key to use these APIs. To
    get your personal key, log in to Affogato, head to the account page at
    [Affogato](https://affogato.ai/account) and hit generate API key. Add this
    key as an X-API-Key header in the requests that you send.
  title: Affogato API
  version: '1.0'
servers: []
security: []
tags:
  - description: >-
      The Generation section allows users to create, view, and delete images on
      Rendernet.
    name: Generation
  - description: >-
      Explore all available resources that can be used for generating images on
      Rendernet. With this section, users can easily access key details about
      the resources at their disposal.
    name: Resources
  - description: Upload / Get information about assets that can be used for generation.
    name: Assets
paths:
  /pub/v1/characters:
    post:
      tags:
        - Characters
      summary: Create Character
      description: >-
        The create character section enables users to create a character with a
        unique name, which can be used in prompts to generate consistent images
        containing the character. Users can provide the asset_id of a face image
        and create a character by assigning a description and unique name. This
        feature streamlines the process of adding new characters to the platform
        and managing them efficiently.
      parameters:
        - description: >-
            API key needed to access our public endpoints. You can find yours
            under the 'Account' section of the website
          required: true
          schema:
            type: string
            title: X-API-KEY
            description: >-
              API key needed to access our public endpoints. You can find yours
              under the 'Account' section of the website
          name: X-API-KEY
          in: header
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CharacterCreateRequest'
              type: object
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CharacterCreateSuccessResponse'
          description: Successful response for created character
components:
  schemas:
    CharacterCreateRequest:
      properties:
        asset_id:
          description: >-
            The asset_id of the image which you want to use as the character’s
            face image.
          example: ast_123abc
          type: string
        character_type:
          description: >-
            Specify if the character’s face image passed in the asset_id is a
            realistic image or a stylized image. A ‘stylized’ image can refer to
            an illustration, drawing, digital render, or any other
            non-photographic style.
          enum:
            - realistic
            - stylized
          example: realistic
          type: string
        name:
          description: >-
            The name of the character which is unique from all your other
            characters
          example: character_01
          type: string
        prompt:
          description: >-
            A short description of the character’s most important features. This
            can include gender, age, race/ethnicity, and body type. Avoid
            describing clothing and background since those have to be mentioned
            in the prompt while generating images.
          example: >-
            a female, european, young adult, muscular body, thick black hair,
            wearing formal clothes, mountains in the background. 
          type: string
      type: object
      required:
        - asset_id
        - character_type
        - name
        - prompt
    CharacterCreateSuccessResponse:
      properties:
        data:
          properties:
            character_type:
              description: A realistic or stylized character.
              enum:
                - realistic
                - stylized
              example: realistic
              type: string
            input_image:
              description: Input image URL
              example: >-
                https://redernet-image-data.s3.amazonaws.com/input_images/ast_123abc.png
              type: string
            name:
              description: >-
                The name of the character which is unique from all your other
                characters
              example: character_01
              type: string
            prompt:
              description: The detailed description of the character
              example: >-
                a female, european, young adult, muscular body, thick black
                hair, wearing formal clothes, mountains in the background. 
              type: string
            id:
              description: The ID of the created character
              example: character_001
              type: string
          type: object
        err:
          description: The error if the request was not successful
          type: object
      type: object

````